Loading...
Searching...
No Matches
volk_8u_x4_conv_k7_r2_8u.h File Reference
`#include <emmintrin.h>`
`#include <mmintrin.h>`
`#include <pmmintrin.h>`
`#include <stdio.h>`
`#include <xmmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Data Structures

union | decision_t

## Functions

static void | renormalize (unsigned char *X)
static void | BFLY (int i, int s, unsigned char *syms, unsigned char *Y, unsigned char *X, decision_t *d, unsigned char *Branchtab)
static void | volk_8u_x4_conv_k7_r2_8u_spiral (unsigned char *Y, unsigned char *X, unsigned char *syms, unsigned char *dec, unsigned int framebits, unsigned int excess, unsigned char *Branchtab)
static void | volk_8u_x4_conv_k7_r2_8u_neonspiral (unsigned char *Y, unsigned char *X, unsigned char *syms, unsigned char *dec, unsigned int framebits, unsigned int excess, unsigned char *Branchtab)
static void | volk_8u_x4_conv_k7_r2_8u_generic (unsigned char *Y, unsigned char *X, unsigned char *syms, unsigned char *dec, unsigned int framebits, unsigned int excess, unsigned char *Branchtab)

## Function Documentation

## BFLY()

void BFLY | ( | int | i,
|  | int | s,
|  | unsigned char * | syms,
|  | unsigned char * | Y,
|  | unsigned char * | X,
|  | decision_t * | d,
|  | unsigned char * | Branchtab )

inline static

## renormalize()

void renormalize | ( | unsigned char * | X | ) |

inline static

## volk_8u_x4_conv_k7_r2_8u_generic()

void volk_8u_x4_conv_k7_r2_8u_generic | ( | unsigned char * | Y,
|  | unsigned char * | X,
|  | unsigned char * | syms,
|  | unsigned char * | dec,
|  | unsigned int | framebits,
|  | unsigned int | excess,
|  | unsigned char * | Branchtab )

inline static

Swap pointers to old and new metrics

## volk_8u_x4_conv_k7_r2_8u_neonspiral()

void volk_8u_x4_conv_k7_r2_8u_neonspiral | ( | unsigned char * | Y,
|  | unsigned char * | X,
|  | unsigned char * | syms,
|  | unsigned char * | dec,
|  | unsigned int | framebits,
|  | unsigned int | excess,
|  | unsigned char * | Branchtab )

inline static

## volk_8u_x4_conv_k7_r2_8u_spiral()

void volk_8u_x4_conv_k7_r2_8u_spiral | ( | unsigned char * | Y,
|  | unsigned char * | X,
|  | unsigned char * | syms,
|  | unsigned char * | dec,
|  | unsigned int | framebits,
|  | unsigned int | excess,
|  | unsigned char * | Branchtab )

inline static